varying highp vec2 Texcoord0;

//uniform highp vec2 CheckerSize;
//uniform highp vec4 CheckerColor0;
//uniform highp vec4 CheckerColor1;

void main()
{
    // checker compute
    highp float checkerSize = 20.0;
    highp float size = checkerSize * 2.0;
    highp float x = mod(gl_FragCoord.x, size);
    highp float y = mod(gl_FragCoord.y, size);
    
    x = x - checkerSize;
    y = y - checkerSize;
    
    highp float v = (x*y > 0.0) ? 0.91765 : 1.0;
    
    gl_FragColor = vec4(v,v,v,0.0);
}

