#version 300 es

in highp vec2 Texcoord0;
in highp vec2 Texcoord1;

// without look
uniform sampler2D   Texture0;

// with look
uniform sampler2D   Texture1;

uniform sampler2D   Mask;

out highp vec4      g_FragColor;

void main()
{
    highp vec4 clr0 = texture(Texture0, Texcoord0);
    highp vec4 clr1 = texture(Texture1, Texcoord0);
    
    highp float alpha = texture(Mask, vec2(Texcoord1.x, 1.0-Texcoord1.y)).r;
    
    g_FragColor = clr0 * (1.0-alpha) + clr1 * alpha;
}
