#version 300 es

in  highp vec2      Texcoord0;

uniform highp float RadiusInner;
uniform highp float RadiusOutter;

uniform highp vec4  Color;

out highp vec4      g_FragColor;

void main()
{
    highp float dist = sqrt((Texcoord0.x - 0.5)*(Texcoord0.x - 0.5)+(Texcoord0.y - 0.5)*(Texcoord0.y - 0.5));
    
    if(dist >= RadiusInner*0.5 && dist <= RadiusOutter*0.5)
    {
        g_FragColor = Color;
    }
    else
    {
        g_FragColor = vec4(0);
    }
}
