attribute vec3 Position;
attribute vec3 Normal;
attribute vec2 Texcoord;

uniform mat4    matWVP;
uniform mat4    matWorld;
uniform mat4    matNormal;

varying highp vec4 Position0;
varying highp vec4 Normal0;
varying highp vec2 Texcoord0;

void main()
{
    Texcoord0   = Texcoord;
    
    Position0   = matWorld*vec4(Position,1.0);
    
    Normal0     = matNormal*vec4(Normal,0.0);
    
    gl_Position = matWVP*vec4(Position,1.0);
}