varying highp vec2  Texcoord0;

uniform sampler2D   Texture0;
uniform sampler2D   Texture1;

uniform highp float Alpha;

void main()
{
    highp vec4 clr0 = texture2D(Texture0, Texcoord0);
    highp vec4 clr1 = texture2D(Texture1, Texcoord0);
    
    highp float alpha = Alpha;
    
    gl_FragColor = clr0 * (1.0-alpha) + clr1 * alpha;
    
    gl_FragColor.a = 1.0;
}
