//#version 100 es

attribute vec3 Position;
attribute vec3 Normal;
attribute vec2 Texcoord;

varying highp vec4 Normal0;
varying highp vec2 Texcoord0;

uniform mat4 matWVP;
uniform mat4 matNormal;

void main()
{
    Texcoord0 = Texcoord;

    highp vec4 _normal = vec4(Normal, 0.0);

    Normal0 = matNormal*_normal;

    gl_Position = matWVP*vec4(Position,1);
}
