#version 300 es

in vec3 Position;
in vec3 Normal;
in vec2 Texcoord;

uniform mat4x4 matWVP;
uniform mat4x4 matWorld;
uniform mat4x4 matNormal;

out highp vec4 Position0;
out highp vec3 Normal0;
out highp vec2 Texcoord0;

void main()
{
    highp vec4 _normal = vec4(Normal,0.0);
    
    Normal0 = normalize(vec3(matNormal*_normal));

    Texcoord0 = Texcoord;
    
    Position0 = matWorld*vec4(Position,1.0);
    
    gl_Position = matWVP*vec4(Position,1.0);
}
