
// ui_2d_element_texture_with_tint_color.fsh

varying highp vec4 colorVarying;
varying highp vec2 TextCoordOut;

uniform highp float  alpha;

uniform sampler2D   Texture0;
varying highp vec2  imgTexCoordOut;

uniform highp vec2 clipLeftTop;
uniform highp vec2 clipRightBottom;

uniform highp vec4 tintColor;

void main()
{
    gl_FragColor = tintColor;
 
    gl_FragColor.a = texture2D(Texture0, imgTexCoordOut).a * alpha;
    
    gl_FragColor.a = gl_FragColor.a * float(TextCoordOut.x >= clipLeftTop.x && TextCoordOut.x <= clipRightBottom.x && TextCoordOut.y >= clipRightBottom.y && TextCoordOut.y <= clipLeftTop.y);
}

