#version 300 es
#extension GL_EXT_shader_framebuffer_fetch : require

uniform int         parentIndex;
uniform int         elemIndex;
uniform int         forceToWrite;

layout (location = 0) inout highp vec4  g_FragColor;

void main()
{
    if (forceToWrite == 1)
    {
        int iElemIndex = elemIndex;
        g_FragColor.r = float(iElemIndex % 100) / 100.0;
        iElemIndex /= 100;
        
        g_FragColor.g = float(iElemIndex % 100) / 100.0;
        iElemIndex /= 100;
        
        g_FragColor.b = float(iElemIndex % 100) / 100.0;
        iElemIndex /= 100;
        
        g_FragColor.a = 1.0;
        return;
    }
    
    highp vec4 c = g_FragColor;
    int index = int(c.r * 100.0 + 0.5) + int(c.g * 100.0 + 0.5) * 100 + int(c.b * 100.0 + 0.5) * 10000;
    if (index >= parentIndex)
    {
        int iElemIndex = elemIndex;
        g_FragColor.r = float(iElemIndex % 100) / 100.0;
        iElemIndex /= 100;
        
        g_FragColor.g = float(iElemIndex % 100) / 100.0;
        iElemIndex /= 100;
        
        g_FragColor.b = float(iElemIndex % 100) / 100.0;
        iElemIndex /= 100;
        
        g_FragColor.a = 1.0;
    }
    else
    {
        g_FragColor = c;
    }
    
    return;
}