attribute vec3 Position;
attribute vec3 Normal;
attribute vec2 Texcoord;
attribute vec2 TexcoordNoTiling;

varying highp vec2 Texcoord0;
varying highp vec2 Texcoord1;

uniform mat4 matWVP;
uniform mat4 matTileTexcoord;

void main()
{
    highp vec4 texCoordV4;
    texCoordV4.xy = Texcoord.xy;
    texCoordV4.z = 0.0;
    texCoordV4.w = 1.0;
    
    Texcoord0.xy = (matTileTexcoord * texCoordV4).xy;
    Texcoord1 = TexcoordNoTiling;
    
    gl_Position = matWVP*vec4(Position,1);
}
