varying highp vec2  Texcoord0;
varying highp vec2  Texcoord1;

// without look
uniform sampler2D   Texture0;
// with look
uniform sampler2D   Texture1;

uniform sampler2D   Mask;

void main()
{
    highp vec4 clr0 = texture2D(Texture0, Texcoord0);
    highp vec4 clr1 = texture2D(Texture1, Texcoord0);
    
    highp float alpha = texture2D(Mask, vec2(Texcoord1.x, 1.0-Texcoord1.y)).r;
    
    gl_FragColor = clr0 * (1.0-alpha) + clr1 * alpha;
}
