#extension GL_EXT_shader_framebuffer_fetch : require

varying highp vec2      Texcoord0;

uniform sampler2D       Mask;

void main()
{
    highp float maskValue = texture2D(Mask, vec2(Texcoord0.x, 1.0 - Texcoord0.y)).r;
    
    maskValue = max(maskValue, gl_LastFragData[0].r);
    
    gl_FragColor = vec4(maskValue, maskValue, maskValue, 1);
}
