#version 300 es

in vec3 Position;
in vec3 Normal;
in vec2 Texcoord;
in vec2 TexcoordNoTiling;

out highp vec2 Texcoord0;
out highp vec2 Texcoord1;

uniform mat4x4 matWVP;
uniform mat4x4 matTileTexcoord;

void main()
{
    highp vec4 texCoordV4;
    texCoordV4.xy = Texcoord.xy;
    texCoordV4.z = 0.0;
    texCoordV4.w = 1.0;
    
    Texcoord0.xy = (matTileTexcoord * texCoordV4).xy;
    Texcoord1 = TexcoordNoTiling;

    gl_Position = matWVP*vec4(Position,1);
}
