#version 300 es
#extension GL_EXT_shader_framebuffer_fetch : require

in highp vec2           Texcoord0;

uniform sampler2D       Mask;

layout(location = 0) inout highp vec4 g_FragColor;

void main()
{
    highp float maskValue = texture(Mask, vec2(Texcoord0.x, 1.0 - Texcoord0.y)).r;
    
    maskValue = max(maskValue, g_FragColor.r);
    
    g_FragColor = vec4(maskValue, maskValue, maskValue, 1);
}
