#version 300 es

in vec3 Position;
in vec3 Normal;
in vec2 Texcoord;

out highp vec2 Texcoord0;

uniform mat4 matWVP;
uniform mat4 matPresentTexcoord;

void main()
{
    highp vec4 texCoordV4;
    texCoordV4.xy = Texcoord.xy;
    texCoordV4.z = 0.0;
    texCoordV4.w = 1.0;
    
    Texcoord0.xy = (matPresentTexcoord * texCoordV4).xy;
    
    gl_Position = matWVP*vec4(Position,1);
}
