uniform samplerCube Texture0;

uniform highp mat4  matInvWVP;

uniform highp vec2  ViewportSize;

void main()
{
    highp vec2 vpSize = ViewportSize;
    
    highp vec3 lookatDir = vec3(matInvWVP*vec4(gl_FragCoord.x, gl_FragCoord.y, 0, 1.0));
    //lookatDir = normalize(lookatDir);
    
    gl_FragColor = textureCube(Texture0, lookatDir);
}
