//#version 100 es

varying highp vec2  Texcoord0;
varying highp vec4  Normal0;

uniform sampler2D   Texture0;

uniform highp vec2  Offset;
uniform highp vec2  Size;

void main()
{
    highp vec2 texcoord = Offset + vec2(Texcoord0.x * Size.x, Texcoord0.y * Size.y);
    
    gl_FragColor = texture2D(Texture0, vec2(texcoord.x, 1.0-texcoord.y));
}
