attribute vec3 Position;
attribute vec3 Normal;
attribute vec2 Texcoord;

varying highp vec4 Normal0;
varying highp vec2 Texcoord0;

uniform mat4 matWVP;
uniform mat4 matNormal;

void main()
{
    Texcoord0 = Texcoord;

    Normal0 = matNormal*vec4(Normal, 0.0);

    gl_Position = matWVP*vec4(Position,1);
}
