#version 300 es

uniform samplerCube     Texture0;

uniform highp mat4x4    matInvWVP;

uniform highp vec2      ViewportSize;

out highp vec4 g_FragColor;

void main()
{
    highp vec2 vpSize = ViewportSize;
    
    highp vec3 lookatDir = vec3(matInvWVP*vec4(gl_FragCoord.x, gl_FragCoord.y, 0, 1.0));
    //lookatDir = normalize(lookatDir);
    
    g_FragColor = texture(Texture0, lookatDir);
}
