#version 300 es

in highp vec2  Texcoord0;
in highp vec4  Normal0;

uniform sampler2D   Texture0;

uniform highp vec2  Offset;
uniform highp vec2  Size;

out highp vec4 g_FragColor;

void main()
{
    highp vec2 texcoord = Offset + vec2(Texcoord0.x * Size.x, Texcoord0.y * Size.y);
    
    g_FragColor = texture(Texture0, vec2(texcoord.x, 1.0-texcoord.y));
}
