#version 300 es
#extension GL_EXT_shader_framebuffer_fetch : require

in highp vec2       Texcoord0;

uniform sampler2D   Texture0;
uniform sampler2D   Texture1;

uniform highp float Alpha;

out highp vec4      g_FragColor;

void main()
{
    highp vec4 clr0 = texture(Texture0, Texcoord0);
    highp vec4 clr1 = texture(Texture1, Texcoord0);
    
    highp float alpha = Alpha;
    
    g_FragColor = clr0 * (1.0-alpha) + clr1 * alpha;
    
    g_FragColor.a = 1.0;
}
