#version 300 es

in vec3 Position;
in vec3 Normal;
in vec2 Texcoord;

out highp vec4 Normal0;
out highp vec2 Texcoord0;

uniform mat4x4 matWVP;
uniform mat4x4 matNormal;

void main()
{
    Texcoord0 = Texcoord;

    Normal0 = matNormal*vec4(Normal, 0.0);

    gl_Position = matWVP*vec4(Position,1);
}
