#extension GL_EXT_shader_framebuffer_fetch : require

uniform int         parentIndex;
uniform int         elemIndex;
uniform int         forceToWrite;

void main()
{
    if (forceToWrite == 1)
    {
        int iElemIndex = elemIndex;
        gl_FragColor.r = mod(float(iElemIndex), 100.0) / 100.0;
        iElemIndex /= 100;
        
        gl_FragColor.g = mod(float(iElemIndex), 100.0) / 100.0;
        iElemIndex /= 100;
        
        gl_FragColor.b = mod(float(iElemIndex), 100.0) / 100.0;
        iElemIndex /= 100;
        
        gl_FragColor.a = 1.0;
        return;
    }
    
    highp vec4 c = gl_LastFragData[0];
    int index = int(c.r * 100.0 + 0.5) + int(c.g * 100.0 + 0.5) * 100 + int(c.b * 100.0 + 0.5) * 10000;
    if (index >= parentIndex)
    {
        int iElemIndex = elemIndex;
        gl_FragColor.r = mod(float(iElemIndex), 100.0) / 100.0;
        iElemIndex /= 100;
        
        gl_FragColor.g = mod(float(iElemIndex), 100.0) / 100.0;
        iElemIndex /= 100;
        
        gl_FragColor.b = mod(float(iElemIndex), 100.0) / 100.0;
        iElemIndex /= 100;
        
        gl_FragColor.a = 1.0;
    }
    else
    {
        gl_FragColor = c;
    }
    
    return;
}